IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network41.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
- Network address
41.0.0.0- Broadcast address
41.255.255.255- First usable
41.0.0.1- Last usable
41.255.255.254- Usable hosts
- 16,777,214 (16,777,216 less the network and broadcast addresses)
- Subnet mask
255.0.0.0- Wildcard mask
0.255.255.255(Cisco ACLs, OSPF)- Prefix length
- /8
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
29000000· Integer687865856to704643071 - Reverse DNS zone
41.in-addr.arpa
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 00101001..00000000.00000000.00000000 | 41.0.0.0 |
| Subnet mask | 11111111..00000000.00000000.00000000 | 255.0.0.0 |
| Network | 00101001..00000000.00000000.00000000 | 41.0.0.0 |
| Broadcast | 00101001..11111111.11111111.11111111 | 41.255.255.255 |
Split into smaller subnets
/9 (2)/10 (4)/11 (8)/12 (16)/13 (32)/14 (64)/15 (128)/16 (256)/17 (512)/18 (1,024)/19 (2,048)/20 (4,096)
41.0.0.0/8 makes 256 subnets of /16.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 41.0.0.0/16 | 41.0.0.1 to 41.0.255.254 | 41.0.255.255 | 65,534 |
| 2 | 41.1.0.0/16 | 41.1.0.1 to 41.1.255.254 | 41.1.255.255 | 65,534 |
| 3 | 41.2.0.0/16 | 41.2.0.1 to 41.2.255.254 | 41.2.255.255 | 65,534 |
| 4 | 41.3.0.0/16 | 41.3.0.1 to 41.3.255.254 | 41.3.255.255 | 65,534 |
| 5 | 41.4.0.0/16 | 41.4.0.1 to 41.4.255.254 | 41.4.255.255 | 65,534 |
| 6 | 41.5.0.0/16 | 41.5.0.1 to 41.5.255.254 | 41.5.255.255 | 65,534 |
| 7 | 41.6.0.0/16 | 41.6.0.1 to 41.6.255.254 | 41.6.255.255 | 65,534 |
| 8 | 41.7.0.0/16 | 41.7.0.1 to 41.7.255.254 | 41.7.255.255 | 65,534 |
| 9 | 41.8.0.0/16 | 41.8.0.1 to 41.8.255.254 | 41.8.255.255 | 65,534 |
| 10 | 41.9.0.0/16 | 41.9.0.1 to 41.9.255.254 | 41.9.255.255 | 65,534 |
| 11 | 41.10.0.0/16 | 41.10.0.1 to 41.10.255.254 | 41.10.255.255 | 65,534 |
| 12 | 41.11.0.0/16 | 41.11.0.1 to 41.11.255.254 | 41.11.255.255 | 65,534 |
| 13 | 41.12.0.0/16 | 41.12.0.1 to 41.12.255.254 | 41.12.255.255 | 65,534 |
| 14 | 41.13.0.0/16 | 41.13.0.1 to 41.13.255.254 | 41.13.255.255 | 65,534 |
| 15 | 41.14.0.0/16 | 41.14.0.1 to 41.14.255.254 | 41.14.255.255 | 65,534 |
| 16 | 41.15.0.0/16 | 41.15.0.1 to 41.15.255.254 | 41.15.255.255 | 65,534 |
| 17 | 41.16.0.0/16 | 41.16.0.1 to 41.16.255.254 | 41.16.255.255 | 65,534 |
| 18 | 41.17.0.0/16 | 41.17.0.1 to 41.17.255.254 | 41.17.255.255 | 65,534 |
| 19 | 41.18.0.0/16 | 41.18.0.1 to 41.18.255.254 | 41.18.255.255 | 65,534 |
| 20 | 41.19.0.0/16 | 41.19.0.1 to 41.19.255.254 | 41.19.255.255 | 65,534 |
| 21 | 41.20.0.0/16 | 41.20.0.1 to 41.20.255.254 | 41.20.255.255 | 65,534 |
| 22 | 41.21.0.0/16 | 41.21.0.1 to 41.21.255.254 | 41.21.255.255 | 65,534 |
| 23 | 41.22.0.0/16 | 41.22.0.1 to 41.22.255.254 | 41.22.255.255 | 65,534 |
| 24 | 41.23.0.0/16 | 41.23.0.1 to 41.23.255.254 | 41.23.255.255 | 65,534 |
| 25 | 41.24.0.0/16 | 41.24.0.1 to 41.24.255.254 | 41.24.255.255 | 65,534 |
| 26 | 41.25.0.0/16 | 41.25.0.1 to 41.25.255.254 | 41.25.255.255 | 65,534 |
| 27 | 41.26.0.0/16 | 41.26.0.1 to 41.26.255.254 | 41.26.255.255 | 65,534 |
| 28 | 41.27.0.0/16 | 41.27.0.1 to 41.27.255.254 | 41.27.255.255 | 65,534 |
| 29 | 41.28.0.0/16 | 41.28.0.1 to 41.28.255.254 | 41.28.255.255 | 65,534 |
| 30 | 41.29.0.0/16 | 41.29.0.1 to 41.29.255.254 | 41.29.255.255 | 65,534 |
| 31 | 41.30.0.0/16 | 41.30.0.1 to 41.30.255.254 | 41.30.255.255 | 65,534 |
| 32 | 41.31.0.0/16 | 41.31.0.1 to 41.31.255.254 | 41.31.255.255 | 65,534 |
| 33 | 41.32.0.0/16 | 41.32.0.1 to 41.32.255.254 | 41.32.255.255 | 65,534 |
| 34 | 41.33.0.0/16 | 41.33.0.1 to 41.33.255.254 | 41.33.255.255 | 65,534 |
| 35 | 41.34.0.0/16 | 41.34.0.1 to 41.34.255.254 | 41.34.255.255 | 65,534 |
| 36 | 41.35.0.0/16 | 41.35.0.1 to 41.35.255.254 | 41.35.255.255 | 65,534 |
| 37 | 41.36.0.0/16 | 41.36.0.1 to 41.36.255.254 | 41.36.255.255 | 65,534 |
| 38 | 41.37.0.0/16 | 41.37.0.1 to 41.37.255.254 | 41.37.255.255 | 65,534 |
| 39 | 41.38.0.0/16 | 41.38.0.1 to 41.38.255.254 | 41.38.255.255 | 65,534 |
| 40 | 41.39.0.0/16 | 41.39.0.1 to 41.39.255.254 | 41.39.255.255 | 65,534 |
| 41 | 41.40.0.0/16 | 41.40.0.1 to 41.40.255.254 | 41.40.255.255 | 65,534 |
| 42 | 41.41.0.0/16 | 41.41.0.1 to 41.41.255.254 | 41.41.255.255 | 65,534 |
| 43 | 41.42.0.0/16 | 41.42.0.1 to 41.42.255.254 | 41.42.255.255 | 65,534 |
| 44 | 41.43.0.0/16 | 41.43.0.1 to 41.43.255.254 | 41.43.255.255 | 65,534 |
| 45 | 41.44.0.0/16 | 41.44.0.1 to 41.44.255.254 | 41.44.255.255 | 65,534 |
| 46 | 41.45.0.0/16 | 41.45.0.1 to 41.45.255.254 | 41.45.255.255 | 65,534 |
| 47 | 41.46.0.0/16 | 41.46.0.1 to 41.46.255.254 | 41.46.255.255 | 65,534 |
| 48 | 41.47.0.0/16 | 41.47.0.1 to 41.47.255.254 | 41.47.255.255 | 65,534 |
| 49 | 41.48.0.0/16 | 41.48.0.1 to 41.48.255.254 | 41.48.255.255 | 65,534 |
| 50 | 41.49.0.0/16 | 41.49.0.1 to 41.49.255.254 | 41.49.255.255 | 65,534 |
| 51 | 41.50.0.0/16 | 41.50.0.1 to 41.50.255.254 | 41.50.255.255 | 65,534 |
| 52 | 41.51.0.0/16 | 41.51.0.1 to 41.51.255.254 | 41.51.255.255 | 65,534 |
| 53 | 41.52.0.0/16 | 41.52.0.1 to 41.52.255.254 | 41.52.255.255 | 65,534 |
| 54 | 41.53.0.0/16 | 41.53.0.1 to 41.53.255.254 | 41.53.255.255 | 65,534 |
| 55 | 41.54.0.0/16 | 41.54.0.1 to 41.54.255.254 | 41.54.255.255 | 65,534 |
| 56 | 41.55.0.0/16 | 41.55.0.1 to 41.55.255.254 | 41.55.255.255 | 65,534 |
| 57 | 41.56.0.0/16 | 41.56.0.1 to 41.56.255.254 | 41.56.255.255 | 65,534 |
| 58 | 41.57.0.0/16 | 41.57.0.1 to 41.57.255.254 | 41.57.255.255 | 65,534 |
| 59 | 41.58.0.0/16 | 41.58.0.1 to 41.58.255.254 | 41.58.255.255 | 65,534 |
| 60 | 41.59.0.0/16 | 41.59.0.1 to 41.59.255.254 | 41.59.255.255 | 65,534 |
| 61 | 41.60.0.0/16 | 41.60.0.1 to 41.60.255.254 | 41.60.255.255 | 65,534 |
| 62 | 41.61.0.0/16 | 41.61.0.1 to 41.61.255.254 | 41.61.255.255 | 65,534 |
| 63 | 41.62.0.0/16 | 41.62.0.1 to 41.62.255.254 | 41.62.255.255 | 65,534 |
| 64 | 41.63.0.0/16 | 41.63.0.1 to 41.63.255.254 | 41.63.255.255 | 65,534 |
| 65 | 41.64.0.0/16 | 41.64.0.1 to 41.64.255.254 | 41.64.255.255 | 65,534 |
| 66 | 41.65.0.0/16 | 41.65.0.1 to 41.65.255.254 | 41.65.255.255 | 65,534 |
| 67 | 41.66.0.0/16 | 41.66.0.1 to 41.66.255.254 | 41.66.255.255 | 65,534 |
| 68 | 41.67.0.0/16 | 41.67.0.1 to 41.67.255.254 | 41.67.255.255 | 65,534 |
| 69 | 41.68.0.0/16 | 41.68.0.1 to 41.68.255.254 | 41.68.255.255 | 65,534 |
| 70 | 41.69.0.0/16 | 41.69.0.1 to 41.69.255.254 | 41.69.255.255 | 65,534 |
| 71 | 41.70.0.0/16 | 41.70.0.1 to 41.70.255.254 | 41.70.255.255 | 65,534 |
| 72 | 41.71.0.0/16 | 41.71.0.1 to 41.71.255.254 | 41.71.255.255 | 65,534 |
| 73 | 41.72.0.0/16 | 41.72.0.1 to 41.72.255.254 | 41.72.255.255 | 65,534 |
| 74 | 41.73.0.0/16 | 41.73.0.1 to 41.73.255.254 | 41.73.255.255 | 65,534 |
| 75 | 41.74.0.0/16 | 41.74.0.1 to 41.74.255.254 | 41.74.255.255 | 65,534 |
| 76 | 41.75.0.0/16 | 41.75.0.1 to 41.75.255.254 | 41.75.255.255 | 65,534 |
| 77 | 41.76.0.0/16 | 41.76.0.1 to 41.76.255.254 | 41.76.255.255 | 65,534 |
| 78 | 41.77.0.0/16 | 41.77.0.1 to 41.77.255.254 | 41.77.255.255 | 65,534 |
| 79 | 41.78.0.0/16 | 41.78.0.1 to 41.78.255.254 | 41.78.255.255 | 65,534 |
| 80 | 41.79.0.0/16 | 41.79.0.1 to 41.79.255.254 | 41.79.255.255 | 65,534 |
| 81 | 41.80.0.0/16 | 41.80.0.1 to 41.80.255.254 | 41.80.255.255 | 65,534 |
| 82 | 41.81.0.0/16 | 41.81.0.1 to 41.81.255.254 | 41.81.255.255 | 65,534 |
| 83 | 41.82.0.0/16 | 41.82.0.1 to 41.82.255.254 | 41.82.255.255 | 65,534 |
| 84 | 41.83.0.0/16 | 41.83.0.1 to 41.83.255.254 | 41.83.255.255 | 65,534 |
| 85 | 41.84.0.0/16 | 41.84.0.1 to 41.84.255.254 | 41.84.255.255 | 65,534 |
| 86 | 41.85.0.0/16 | 41.85.0.1 to 41.85.255.254 | 41.85.255.255 | 65,534 |
| 87 | 41.86.0.0/16 | 41.86.0.1 to 41.86.255.254 | 41.86.255.255 | 65,534 |
| 88 | 41.87.0.0/16 | 41.87.0.1 to 41.87.255.254 | 41.87.255.255 | 65,534 |
| 89 | 41.88.0.0/16 | 41.88.0.1 to 41.88.255.254 | 41.88.255.255 | 65,534 |
| 90 | 41.89.0.0/16 | 41.89.0.1 to 41.89.255.254 | 41.89.255.255 | 65,534 |
| 91 | 41.90.0.0/16 | 41.90.0.1 to 41.90.255.254 | 41.90.255.255 | 65,534 |
| 92 | 41.91.0.0/16 | 41.91.0.1 to 41.91.255.254 | 41.91.255.255 | 65,534 |
| 93 | 41.92.0.0/16 | 41.92.0.1 to 41.92.255.254 | 41.92.255.255 | 65,534 |
| 94 | 41.93.0.0/16 | 41.93.0.1 to 41.93.255.254 | 41.93.255.255 | 65,534 |
| 95 | 41.94.0.0/16 | 41.94.0.1 to 41.94.255.254 | 41.94.255.255 | 65,534 |
| 96 | 41.95.0.0/16 | 41.95.0.1 to 41.95.255.254 | 41.95.255.255 | 65,534 |
| 97 | 41.96.0.0/16 | 41.96.0.1 to 41.96.255.254 | 41.96.255.255 | 65,534 |
| 98 | 41.97.0.0/16 | 41.97.0.1 to 41.97.255.254 | 41.97.255.255 | 65,534 |
| 99 | 41.98.0.0/16 | 41.98.0.1 to 41.98.255.254 | 41.98.255.255 | 65,534 |
| 100 | 41.99.0.0/16 | 41.99.0.1 to 41.99.255.254 | 41.99.255.255 | 65,534 |
| 101 | 41.100.0.0/16 | 41.100.0.1 to 41.100.255.254 | 41.100.255.255 | 65,534 |
| 102 | 41.101.0.0/16 | 41.101.0.1 to 41.101.255.254 | 41.101.255.255 | 65,534 |
| 103 | 41.102.0.0/16 | 41.102.0.1 to 41.102.255.254 | 41.102.255.255 | 65,534 |
| 104 | 41.103.0.0/16 | 41.103.0.1 to 41.103.255.254 | 41.103.255.255 | 65,534 |
| 105 | 41.104.0.0/16 | 41.104.0.1 to 41.104.255.254 | 41.104.255.255 | 65,534 |
| 106 | 41.105.0.0/16 | 41.105.0.1 to 41.105.255.254 | 41.105.255.255 | 65,534 |
| 107 | 41.106.0.0/16 | 41.106.0.1 to 41.106.255.254 | 41.106.255.255 | 65,534 |
| 108 | 41.107.0.0/16 | 41.107.0.1 to 41.107.255.254 | 41.107.255.255 | 65,534 |
| 109 | 41.108.0.0/16 | 41.108.0.1 to 41.108.255.254 | 41.108.255.255 | 65,534 |
| 110 | 41.109.0.0/16 | 41.109.0.1 to 41.109.255.254 | 41.109.255.255 | 65,534 |
| 111 | 41.110.0.0/16 | 41.110.0.1 to 41.110.255.254 | 41.110.255.255 | 65,534 |
| 112 | 41.111.0.0/16 | 41.111.0.1 to 41.111.255.254 | 41.111.255.255 | 65,534 |
| 113 | 41.112.0.0/16 | 41.112.0.1 to 41.112.255.254 | 41.112.255.255 | 65,534 |
| 114 | 41.113.0.0/16 | 41.113.0.1 to 41.113.255.254 | 41.113.255.255 | 65,534 |
| 115 | 41.114.0.0/16 | 41.114.0.1 to 41.114.255.254 | 41.114.255.255 | 65,534 |
| 116 | 41.115.0.0/16 | 41.115.0.1 to 41.115.255.254 | 41.115.255.255 | 65,534 |
| 117 | 41.116.0.0/16 | 41.116.0.1 to 41.116.255.254 | 41.116.255.255 | 65,534 |
| 118 | 41.117.0.0/16 | 41.117.0.1 to 41.117.255.254 | 41.117.255.255 | 65,534 |
| 119 | 41.118.0.0/16 | 41.118.0.1 to 41.118.255.254 | 41.118.255.255 | 65,534 |
| 120 | 41.119.0.0/16 | 41.119.0.1 to 41.119.255.254 | 41.119.255.255 | 65,534 |
| 121 | 41.120.0.0/16 | 41.120.0.1 to 41.120.255.254 | 41.120.255.255 | 65,534 |
| 122 | 41.121.0.0/16 | 41.121.0.1 to 41.121.255.254 | 41.121.255.255 | 65,534 |
| 123 | 41.122.0.0/16 | 41.122.0.1 to 41.122.255.254 | 41.122.255.255 | 65,534 |
| 124 | 41.123.0.0/16 | 41.123.0.1 to 41.123.255.254 | 41.123.255.255 | 65,534 |
| 125 | 41.124.0.0/16 | 41.124.0.1 to 41.124.255.254 | 41.124.255.255 | 65,534 |
| 126 | 41.125.0.0/16 | 41.125.0.1 to 41.125.255.254 | 41.125.255.255 | 65,534 |
| 127 | 41.126.0.0/16 | 41.126.0.1 to 41.126.255.254 | 41.126.255.255 | 65,534 |
| 128 | 41.127.0.0/16 | 41.127.0.1 to 41.127.255.254 | 41.127.255.255 | 65,534 |
| 129 | 41.128.0.0/16 | 41.128.0.1 to 41.128.255.254 | 41.128.255.255 | 65,534 |
| 130 | 41.129.0.0/16 | 41.129.0.1 to 41.129.255.254 | 41.129.255.255 | 65,534 |
| 131 | 41.130.0.0/16 | 41.130.0.1 to 41.130.255.254 | 41.130.255.255 | 65,534 |
| 132 | 41.131.0.0/16 | 41.131.0.1 to 41.131.255.254 | 41.131.255.255 | 65,534 |
| 133 | 41.132.0.0/16 | 41.132.0.1 to 41.132.255.254 | 41.132.255.255 | 65,534 |
| 134 | 41.133.0.0/16 | 41.133.0.1 to 41.133.255.254 | 41.133.255.255 | 65,534 |
| 135 | 41.134.0.0/16 | 41.134.0.1 to 41.134.255.254 | 41.134.255.255 | 65,534 |
| 136 | 41.135.0.0/16 | 41.135.0.1 to 41.135.255.254 | 41.135.255.255 | 65,534 |
| 137 | 41.136.0.0/16 | 41.136.0.1 to 41.136.255.254 | 41.136.255.255 | 65,534 |
| 138 | 41.137.0.0/16 | 41.137.0.1 to 41.137.255.254 | 41.137.255.255 | 65,534 |
| 139 | 41.138.0.0/16 | 41.138.0.1 to 41.138.255.254 | 41.138.255.255 | 65,534 |
| 140 | 41.139.0.0/16 | 41.139.0.1 to 41.139.255.254 | 41.139.255.255 | 65,534 |
| 141 | 41.140.0.0/16 | 41.140.0.1 to 41.140.255.254 | 41.140.255.255 | 65,534 |
| 142 | 41.141.0.0/16 | 41.141.0.1 to 41.141.255.254 | 41.141.255.255 | 65,534 |
| 143 | 41.142.0.0/16 | 41.142.0.1 to 41.142.255.254 | 41.142.255.255 | 65,534 |
| 144 | 41.143.0.0/16 | 41.143.0.1 to 41.143.255.254 | 41.143.255.255 | 65,534 |
| 145 | 41.144.0.0/16 | 41.144.0.1 to 41.144.255.254 | 41.144.255.255 | 65,534 |
| 146 | 41.145.0.0/16 | 41.145.0.1 to 41.145.255.254 | 41.145.255.255 | 65,534 |
| 147 | 41.146.0.0/16 | 41.146.0.1 to 41.146.255.254 | 41.146.255.255 | 65,534 |
| 148 | 41.147.0.0/16 | 41.147.0.1 to 41.147.255.254 | 41.147.255.255 | 65,534 |
| 149 | 41.148.0.0/16 | 41.148.0.1 to 41.148.255.254 | 41.148.255.255 | 65,534 |
| 150 | 41.149.0.0/16 | 41.149.0.1 to 41.149.255.254 | 41.149.255.255 | 65,534 |
| 151 | 41.150.0.0/16 | 41.150.0.1 to 41.150.255.254 | 41.150.255.255 | 65,534 |
| 152 | 41.151.0.0/16 | 41.151.0.1 to 41.151.255.254 | 41.151.255.255 | 65,534 |
| 153 | 41.152.0.0/16 | 41.152.0.1 to 41.152.255.254 | 41.152.255.255 | 65,534 |
| 154 | 41.153.0.0/16 | 41.153.0.1 to 41.153.255.254 | 41.153.255.255 | 65,534 |
| 155 | 41.154.0.0/16 | 41.154.0.1 to 41.154.255.254 | 41.154.255.255 | 65,534 |
| 156 | 41.155.0.0/16 | 41.155.0.1 to 41.155.255.254 | 41.155.255.255 | 65,534 |
| 157 | 41.156.0.0/16 | 41.156.0.1 to 41.156.255.254 | 41.156.255.255 | 65,534 |
| 158 | 41.157.0.0/16 | 41.157.0.1 to 41.157.255.254 | 41.157.255.255 | 65,534 |
| 159 | 41.158.0.0/16 | 41.158.0.1 to 41.158.255.254 | 41.158.255.255 | 65,534 |
| 160 | 41.159.0.0/16 | 41.159.0.1 to 41.159.255.254 | 41.159.255.255 | 65,534 |
| 161 | 41.160.0.0/16 | 41.160.0.1 to 41.160.255.254 | 41.160.255.255 | 65,534 |
| 162 | 41.161.0.0/16 | 41.161.0.1 to 41.161.255.254 | 41.161.255.255 | 65,534 |
| 163 | 41.162.0.0/16 | 41.162.0.1 to 41.162.255.254 | 41.162.255.255 | 65,534 |
| 164 | 41.163.0.0/16 | 41.163.0.1 to 41.163.255.254 | 41.163.255.255 | 65,534 |
| 165 | 41.164.0.0/16 | 41.164.0.1 to 41.164.255.254 | 41.164.255.255 | 65,534 |
| 166 | 41.165.0.0/16 | 41.165.0.1 to 41.165.255.254 | 41.165.255.255 | 65,534 |
| 167 | 41.166.0.0/16 | 41.166.0.1 to 41.166.255.254 | 41.166.255.255 | 65,534 |
| 168 | 41.167.0.0/16 | 41.167.0.1 to 41.167.255.254 | 41.167.255.255 | 65,534 |
| 169 | 41.168.0.0/16 | 41.168.0.1 to 41.168.255.254 | 41.168.255.255 | 65,534 |
| 170 | 41.169.0.0/16 | 41.169.0.1 to 41.169.255.254 | 41.169.255.255 | 65,534 |
| 171 | 41.170.0.0/16 | 41.170.0.1 to 41.170.255.254 | 41.170.255.255 | 65,534 |
| 172 | 41.171.0.0/16 | 41.171.0.1 to 41.171.255.254 | 41.171.255.255 | 65,534 |
| 173 | 41.172.0.0/16 | 41.172.0.1 to 41.172.255.254 | 41.172.255.255 | 65,534 |
| 174 | 41.173.0.0/16 | 41.173.0.1 to 41.173.255.254 | 41.173.255.255 | 65,534 |
| 175 | 41.174.0.0/16 | 41.174.0.1 to 41.174.255.254 | 41.174.255.255 | 65,534 |
| 176 | 41.175.0.0/16 | 41.175.0.1 to 41.175.255.254 | 41.175.255.255 | 65,534 |
| 177 | 41.176.0.0/16 | 41.176.0.1 to 41.176.255.254 | 41.176.255.255 | 65,534 |
| 178 | 41.177.0.0/16 | 41.177.0.1 to 41.177.255.254 | 41.177.255.255 | 65,534 |
| 179 | 41.178.0.0/16 | 41.178.0.1 to 41.178.255.254 | 41.178.255.255 | 65,534 |
| 180 | 41.179.0.0/16 | 41.179.0.1 to 41.179.255.254 | 41.179.255.255 | 65,534 |
| 181 | 41.180.0.0/16 | 41.180.0.1 to 41.180.255.254 | 41.180.255.255 | 65,534 |
| 182 | 41.181.0.0/16 | 41.181.0.1 to 41.181.255.254 | 41.181.255.255 | 65,534 |
| 183 | 41.182.0.0/16 | 41.182.0.1 to 41.182.255.254 | 41.182.255.255 | 65,534 |
| 184 | 41.183.0.0/16 | 41.183.0.1 to 41.183.255.254 | 41.183.255.255 | 65,534 |
| 185 | 41.184.0.0/16 | 41.184.0.1 to 41.184.255.254 | 41.184.255.255 | 65,534 |
| 186 | 41.185.0.0/16 | 41.185.0.1 to 41.185.255.254 | 41.185.255.255 | 65,534 |
| 187 | 41.186.0.0/16 | 41.186.0.1 to 41.186.255.254 | 41.186.255.255 | 65,534 |
| 188 | 41.187.0.0/16 | 41.187.0.1 to 41.187.255.254 | 41.187.255.255 | 65,534 |
| 189 | 41.188.0.0/16 | 41.188.0.1 to 41.188.255.254 | 41.188.255.255 | 65,534 |
| 190 | 41.189.0.0/16 | 41.189.0.1 to 41.189.255.254 | 41.189.255.255 | 65,534 |
| 191 | 41.190.0.0/16 | 41.190.0.1 to 41.190.255.254 | 41.190.255.255 | 65,534 |
| 192 | 41.191.0.0/16 | 41.191.0.1 to 41.191.255.254 | 41.191.255.255 | 65,534 |
| 193 | 41.192.0.0/16 | 41.192.0.1 to 41.192.255.254 | 41.192.255.255 | 65,534 |
| 194 | 41.193.0.0/16 | 41.193.0.1 to 41.193.255.254 | 41.193.255.255 | 65,534 |
| 195 | 41.194.0.0/16 | 41.194.0.1 to 41.194.255.254 | 41.194.255.255 | 65,534 |
| 196 | 41.195.0.0/16 | 41.195.0.1 to 41.195.255.254 | 41.195.255.255 | 65,534 |
| 197 | 41.196.0.0/16 | 41.196.0.1 to 41.196.255.254 | 41.196.255.255 | 65,534 |
| 198 | 41.197.0.0/16 | 41.197.0.1 to 41.197.255.254 | 41.197.255.255 | 65,534 |
| 199 | 41.198.0.0/16 | 41.198.0.1 to 41.198.255.254 | 41.198.255.255 | 65,534 |
| 200 | 41.199.0.0/16 | 41.199.0.1 to 41.199.255.254 | 41.199.255.255 | 65,534 |
| 201 | 41.200.0.0/16 | 41.200.0.1 to 41.200.255.254 | 41.200.255.255 | 65,534 |
| 202 | 41.201.0.0/16 | 41.201.0.1 to 41.201.255.254 | 41.201.255.255 | 65,534 |
| 203 | 41.202.0.0/16 | 41.202.0.1 to 41.202.255.254 | 41.202.255.255 | 65,534 |
| 204 | 41.203.0.0/16 | 41.203.0.1 to 41.203.255.254 | 41.203.255.255 | 65,534 |
| 205 | 41.204.0.0/16 | 41.204.0.1 to 41.204.255.254 | 41.204.255.255 | 65,534 |
| 206 | 41.205.0.0/16 | 41.205.0.1 to 41.205.255.254 | 41.205.255.255 | 65,534 |
| 207 | 41.206.0.0/16 | 41.206.0.1 to 41.206.255.254 | 41.206.255.255 | 65,534 |
| 208 | 41.207.0.0/16 | 41.207.0.1 to 41.207.255.254 | 41.207.255.255 | 65,534 |
| 209 | 41.208.0.0/16 | 41.208.0.1 to 41.208.255.254 | 41.208.255.255 | 65,534 |
| 210 | 41.209.0.0/16 | 41.209.0.1 to 41.209.255.254 | 41.209.255.255 | 65,534 |
| 211 | 41.210.0.0/16 | 41.210.0.1 to 41.210.255.254 | 41.210.255.255 | 65,534 |
| 212 | 41.211.0.0/16 | 41.211.0.1 to 41.211.255.254 | 41.211.255.255 | 65,534 |
| 213 | 41.212.0.0/16 | 41.212.0.1 to 41.212.255.254 | 41.212.255.255 | 65,534 |
| 214 | 41.213.0.0/16 | 41.213.0.1 to 41.213.255.254 | 41.213.255.255 | 65,534 |
| 215 | 41.214.0.0/16 | 41.214.0.1 to 41.214.255.254 | 41.214.255.255 | 65,534 |
| 216 | 41.215.0.0/16 | 41.215.0.1 to 41.215.255.254 | 41.215.255.255 | 65,534 |
| 217 | 41.216.0.0/16 | 41.216.0.1 to 41.216.255.254 | 41.216.255.255 | 65,534 |
| 218 | 41.217.0.0/16 | 41.217.0.1 to 41.217.255.254 | 41.217.255.255 | 65,534 |
| 219 | 41.218.0.0/16 | 41.218.0.1 to 41.218.255.254 | 41.218.255.255 | 65,534 |
| 220 | 41.219.0.0/16 | 41.219.0.1 to 41.219.255.254 | 41.219.255.255 | 65,534 |
| 221 | 41.220.0.0/16 | 41.220.0.1 to 41.220.255.254 | 41.220.255.255 | 65,534 |
| 222 | 41.221.0.0/16 | 41.221.0.1 to 41.221.255.254 | 41.221.255.255 | 65,534 |
| 223 | 41.222.0.0/16 | 41.222.0.1 to 41.222.255.254 | 41.222.255.255 | 65,534 |
| 224 | 41.223.0.0/16 | 41.223.0.1 to 41.223.255.254 | 41.223.255.255 | 65,534 |
| 225 | 41.224.0.0/16 | 41.224.0.1 to 41.224.255.254 | 41.224.255.255 | 65,534 |
| 226 | 41.225.0.0/16 | 41.225.0.1 to 41.225.255.254 | 41.225.255.255 | 65,534 |
| 227 | 41.226.0.0/16 | 41.226.0.1 to 41.226.255.254 | 41.226.255.255 | 65,534 |
| 228 | 41.227.0.0/16 | 41.227.0.1 to 41.227.255.254 | 41.227.255.255 | 65,534 |
| 229 | 41.228.0.0/16 | 41.228.0.1 to 41.228.255.254 | 41.228.255.255 | 65,534 |
| 230 | 41.229.0.0/16 | 41.229.0.1 to 41.229.255.254 | 41.229.255.255 | 65,534 |
| 231 | 41.230.0.0/16 | 41.230.0.1 to 41.230.255.254 | 41.230.255.255 | 65,534 |
| 232 | 41.231.0.0/16 | 41.231.0.1 to 41.231.255.254 | 41.231.255.255 | 65,534 |
| 233 | 41.232.0.0/16 | 41.232.0.1 to 41.232.255.254 | 41.232.255.255 | 65,534 |
| 234 | 41.233.0.0/16 | 41.233.0.1 to 41.233.255.254 | 41.233.255.255 | 65,534 |
| 235 | 41.234.0.0/16 | 41.234.0.1 to 41.234.255.254 | 41.234.255.255 | 65,534 |
| 236 | 41.235.0.0/16 | 41.235.0.1 to 41.235.255.254 | 41.235.255.255 | 65,534 |
| 237 | 41.236.0.0/16 | 41.236.0.1 to 41.236.255.254 | 41.236.255.255 | 65,534 |
| 238 | 41.237.0.0/16 | 41.237.0.1 to 41.237.255.254 | 41.237.255.255 | 65,534 |
| 239 | 41.238.0.0/16 | 41.238.0.1 to 41.238.255.254 | 41.238.255.255 | 65,534 |
| 240 | 41.239.0.0/16 | 41.239.0.1 to 41.239.255.254 | 41.239.255.255 | 65,534 |
| 241 | 41.240.0.0/16 | 41.240.0.1 to 41.240.255.254 | 41.240.255.255 | 65,534 |
| 242 | 41.241.0.0/16 | 41.241.0.1 to 41.241.255.254 | 41.241.255.255 | 65,534 |
| 243 | 41.242.0.0/16 | 41.242.0.1 to 41.242.255.254 | 41.242.255.255 | 65,534 |
| 244 | 41.243.0.0/16 | 41.243.0.1 to 41.243.255.254 | 41.243.255.255 | 65,534 |
| 245 | 41.244.0.0/16 | 41.244.0.1 to 41.244.255.254 | 41.244.255.255 | 65,534 |
| 246 | 41.245.0.0/16 | 41.245.0.1 to 41.245.255.254 | 41.245.255.255 | 65,534 |
| 247 | 41.246.0.0/16 | 41.246.0.1 to 41.246.255.254 | 41.246.255.255 | 65,534 |
| 248 | 41.247.0.0/16 | 41.247.0.1 to 41.247.255.254 | 41.247.255.255 | 65,534 |
| 249 | 41.248.0.0/16 | 41.248.0.1 to 41.248.255.254 | 41.248.255.255 | 65,534 |
| 250 | 41.249.0.0/16 | 41.249.0.1 to 41.249.255.254 | 41.249.255.255 | 65,534 |
| 251 | 41.250.0.0/16 | 41.250.0.1 to 41.250.255.254 | 41.250.255.255 | 65,534 |
| 252 | 41.251.0.0/16 | 41.251.0.1 to 41.251.255.254 | 41.251.255.255 | 65,534 |
| 253 | 41.252.0.0/16 | 41.252.0.1 to 41.252.255.254 | 41.252.255.255 | 65,534 |
| 254 | 41.253.0.0/16 | 41.253.0.1 to 41.253.255.254 | 41.253.255.255 | 65,534 |
| 255 | 41.254.0.0/16 | 41.254.0.1 to 41.254.255.254 | 41.254.255.255 | 65,534 |
| 256 | 41.255.0.0/16 | 41.255.0.1 to 41.255.255.254 | 41.255.255.255 | 65,534 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |